 
import CallbackAdv.*;
import org.omg.CosNaming.*;
import org.omg.CORBA.*;
import java.io.*;
 
public class Client {
    public static void main(String args[]) {
        try {
            // create and initialize the ORB
            ORB orb = ORB.init(args, null);
            String clientname = new String(args[0]);
 
            // get the root naming context
            org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
            NamingContext ncRef = NamingContextHelper.narrow(objRef);

            // resolve the Object Reference in Naming
            NameComponent nc = new NameComponent("Test", "");
            NameComponent path[] = {nc};
            Test testRef = TestHelper.narrow(ncRef.resolve(path));
    
            XCallbackServant xcallbackRef = new XCallbackServant();
            orb.connect(xcallbackRef);

            // register at Test server object
            testRef.regist(xcallbackRef, clientname);   

            // run local client
            BufferedReader stdin =
                  new BufferedReader(new InputStreamReader(System.in));
            String line;
            int i;
            while (true) {
               try {
                  System.out.print("Add =");
                  line = stdin.readLine();
                  i = Integer.parseInt(line);
                  if (i == 0) break;
                  testRef.add(i);
               }
               catch (Exception e) {}
            }

            // finish Test server object
            testRef.finish(clientname);   
            orb.disconnect(xcallbackRef); 
        } 
        catch (Exception e) {
            System.out.println("ERROR : " + e) ;
            e.printStackTrace(System.out);
        }
    }
}

 






